
D4Science Infrastructure - Task #2121

upgrade cluster mongodb to version 3.0

Feb 03, 2016 03:42 PM - Roberto Cirillo

Status: Closed Start date: Feb 03, 2016

Priority: Urgent Due date: Feb 08, 2016

Assignee: Tommaso Piccioli % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: upgrade mongodb to version 3.0   

Infrastructure: Production   

Description

The following mongodb nodes should be upgraded to version 3.0 by ansible:

mongo1-p-d4s.d4science.org

mongo2-p-d4s.d4science.org

mongo3-p-d4s.d4science.org

mongo4-p-d4s.d4science.org

mongo5-p-d4s.d4science.org

 It's need also to perform a "mongodump" before the upgrade.

Related issues:

Related to D4Science Infrastructure - Task #2122: enable  external and intern... Closed Feb 03, 2016

Blocks D4Science Infrastructure - Upgrade #1915: D4Science Root VO upgrade to... Closed Jan 11, 2016 Jan 30, 2016

History

#1 - Feb 03, 2016 03:46 PM - Roberto Cirillo

- Related to Task #2122: enable  external and internal authentication on mongodb added

#2 - Feb 08, 2016 10:59 AM - Roberto Cirillo

- Priority changed from High to Urgent

#3 - Feb 08, 2016 11:01 AM - Roberto Cirillo

- Blocks Upgrade #1915: D4Science Root VO upgrade to gCube 3.10.0 added

#4 - Feb 10, 2016 10:46 AM - Roberto Cirillo

- Status changed from New to In Progress

- % Done changed from 0 to 20

mongo5 has been upgraded to version 3.0.9. and resynced with the other members. Now it is running with the new storageEngine WiredTiger.

#5 - Feb 11, 2016 02:40 PM - Roberto Cirillo

- % Done changed from 20 to 40

mongo4 has been upgraded to version 3.0.9

#6 - Feb 12, 2016 11:06 AM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 40 to 100

mongo1, mongo2, mongo3, have been upgraded to version 3.0.9.

all the nodes except for mongo2, run with the new storageEngine wiredTiger
